List customer group product variant prices
Returns a paginated list of product variant prices associated with a customer group.
GET
/api/v1/{team_slug}/{app_slug}/customer-groups/{customer_group_id}/pricesAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
customer_group_idstringrequiredCustomer Group ID
Query parameters
pageintegerPage number (default: 1)
per-pageintegerItems per page (default: 20, max: 100)
Responses
200
List of prices
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupProductVariantPriceItem[]requiredShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupProductVariantPriceItemcreated_atstringidstringmarketgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupPriceMarketShow propertiesHide properties
idstringnamestringslugstringprice_amountintegerproduct_variantgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupPriceVariantRefShow propertiesHide properties
idstringvariant_namestringupdated_atstringsuccessbooleantotalintegertotal_pagesinteger400
Invalid request
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired404
Customer group not found
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired